apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: k10-gateway
  namespace: kasten-io
  annotations:
    traefik.ingress.kubernetes.io/router.entrypoints: web,websecure
spec:
  ingressClassName: traefik
  tls:
    - hosts:
        - k10.innohub.local
#      secretName: k10-tls
  rules:
    - host: k10.innohub.local
      http:
        paths:
          - path: /k10
            pathType: Prefix
            backend:
              service:
                name: gateway
                port:
                  number: 80
